# file: rustfmt.toml

edition = "2024"
newline_style = "Unix"
use_small_heuristics = "Default"
hard_tabs = false
tab_spaces = 4
max_width = 100
chain_width = 80
fn_call_width = 80
attr_fn_like_width = 80
struct_lit_width = 40
struct_variant_width = 40
array_width = 80
single_line_if_else_max_width = 80
single_line_let_else_max_width = 80
imports_indent = "Block"
group_imports = "StdExternalCrate"
imports_granularity = "Module"
reorder_imports = true
reorder_modules = true
normalize_comments = false
normalize_doc_attributes = false
format_code_in_doc_comments = false
wrap_comments = false
format_strings = false
hex_literal_case = "Lower"
empty_item_single_line = true
struct_field_align_threshold = 0
enum_discrim_align_threshold = 0
match_arm_blocks = true
match_block_trailing_comma = true
trailing_comma = "Vertical"
use_field_init_shorthand = true
use_try_shorthand = false
force_explicit_abi = true
condense_wildcard_suffixes = false
unstable_features = false
